#296 1.16.1 does not compile against OpenSSL 0.9.8

Undecided
closed
nobody
None
1
2013-01-27
2013-01-26
curaga
No

LibsslTLSContext.cc: In constructor 'aria2::TLSContext::TLSContext(aria2::TLSSessionSide)':
LibsslTLSContext.cc:60: error: 'SSL_OP_NO_COMPRESSION' was not declared in this scope

As a workaround, right above it I #defined it to 0.

Discussion

  • tujikawa
    tujikawa
    2013-01-27

    • status: open --> closed
     
  • tujikawa
    tujikawa
    2013-01-27

    Fixed in 9888789